Bug 458373 - Motif application gets BadAlloc error.
Motif application gets BadAlloc error.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 16:28 EDT by Valdis Kletnieks
Modified: 2018-04-11 08:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (2.75 KB, text/plain)
2008-09-09 15:32 EDT, Valdis Kletnieks
no flags Details
Xorg.0.log (85.15 KB, text/plain)
2008-09-09 15:33 EDT, Valdis Kletnieks
no flags Details
tcpdump of the failure (330 bytes, text/plain)
2008-09-09 16:38 EDT, Valdis Kletnieks
no flags Details

  None (edit)
Description Valdis Kletnieks 2008-08-07 16:28:39 EDT
Description of problem:
A Motif application running on a Solaris box and tunneled back to laptop via ssh
throws this error message and dies:

X Error of failed request:  BadAlloc (insufficient resources for operation)
  Major opcode of failed request:  149 (XKEYBOARD)
  Minor opcode of failed request:  16 (XkbSetNamedIndicator)
  Serial number of failed request:  4281
  Current serial number in output stream:  4294

when it puts up a dialog box - the first keystroke into the input area kills it.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.906-3.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-09-09 15:18:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Valdis Kletnieks 2008-09-09 15:32:38 EDT
Created attachment 316246 [details]
xorg.conf
Comment 3 Valdis Kletnieks 2008-09-09 15:33:23 EDT
Created attachment 316247 [details]
Xorg.0.log
Comment 4 Valdis Kletnieks 2008-09-09 16:36:17 EDT
OK, am jumping through the hoops, even though I'm failing to see what the X11 autodetect of display/video has to do with a Motif issue on a remote system ;)

What would be *useful* is an actual protocol trace... I've attached a tcpdump of the 3 packets right around the failure (the local machine sending the keypress event, the remote Motif application sending a packet back, and then the local machine reporting the BadAlloc.

If that doesn't suffice, I can produce a tcpdump of the entire conversation, but that would be (a) larger and (b) I'd have to double-check for data sanitization in the datastream...
Comment 5 Valdis Kletnieks 2008-09-09 16:38:51 EDT
Created attachment 316253 [details]
tcpdump of the failure

tcpdump format of the 3 packets right around the failure.  It appears that one of the parameters to opcode 150 is giving the recent Xorg server indigestion, causing the BadAlloc (though it's also possible that the Motif application is passing a bad value that pre-1.5.0 Xorg's never bothered sanity-checking)...
Comment 6 Michael Sullivan 2008-09-21 16:59:32 EDT
I got similar symptoms recently after upgrading my Fedora 9 system with
xorg-x11-server-Xorg-1.5.0-1.fc9.i386. A locally built emacs running on
Solaris 10 x86 with X tunneled through ssh to be displayed on the Fedora
system's display would exit upon the first key stroke with the message:

X protocol error: BadAlloc (insufficient resources for operation) on protocol request 150

Installing Sun's patch 119060-44 "X11 6.6.2_x86: Xsun patch" solved the problem
for me. The equivalent patch is available for SPARC as 119059.

Experimenting with LD_LIBRARY_PATH and copies of libraries from unpatched vs.
patched systems suggest that Sun's /usr/openwin/lib/libX11.so.4 is the file
that contains the fix.
Comment 7 Bug Zapper 2008-11-25 21:42:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Greg Morgan 2009-03-30 21:28:06 EDT
Bug 448538 reported a similar error but I wonder if this is really an X error.  I just received 
debug2: channel 1: rcvd adjust 33416
BadAlloc (insufficient resources for operation)
Vim: Got X error
Vim: Finished.

while using

1.) ssh -vvv -X -i ~/.ssh/gmorgan_rsa gmorgan@myhost

2.) gvim .login*

3.) Touching the gvim window generated the xerror.

4.) The Fedora xterm window is unresponsive.

Earlier in the day I thought this was a font issue and installed some of the traditional X fonts i.e. yum install 'xorg-x11-fonts*'

All packages are completely up to date on f10 x86_64.

The caveat on my report is that I am thinking there is some real strange things going on with this Sun ulra 20 optron workstation.   I had to install an e100 card just so that I could run yum update until completion.  The e100 card bypasses all the forcedeth problems that I was seeming to have.  What would you like me to do next?
Comment 9 Bug Zapper 2009-11-18 03:15:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:17:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.